Execute Bash command
POST /api/bash/execute_bash_command
Execute a bash command and wait for a result
Request body
| Field | Type | Required | Description |
|---|---|---|---|
command | string | yes | The bash command to execute |
cwd | `string | null` | no |
timeout | integer | no | The max number of seconds a command may be permitted to run. |
Responses
| Status | Description |
|---|---|
200 | Successful Response |
422 | Validation Error |
Response body
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | — |
timestamp | string | no | — |
command_id | string | yes | — |
order | integer | no | The order for this output, sequentially starting with 0 |
exit_code | `integer | null` | no |
stdout | `string | null` | no |
stderr | `string | null` | no |
kind | string | yes | — |
Operation ID: execute_bash_command_api_bash_execute_bash_command_post